Package io.strimzi.systemtest.kafkaclients.internalClients

## Class VerifiableClient

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.internalClients.VerifiableClient

-     public class VerifiableClient
      extends Object

  Class represent verifiable kafka client which keeps common features of kafka clients

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `VerifiableClient.VerifiableClientBuilder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VerifiableClient​(VerifiableClient.VerifiableClientBuilder verifiableClientBuilder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBootstrapServer()` |
    `List<String>` | `getMessages()` | Get of messages
    `boolean` | `run​(long timeoutMs)` | Run client in sync mode
    `void` | `setArguments​(ClientArgumentMap args)` | Set arguments of kafka client
    `void` | `stop()` | Method for stop client
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VerifiableClient

          public VerifiableClient​(VerifiableClient.VerifiableClientBuilder verifiableClientBuilder)

  - ### Method Detail

    - #### getMessages

          public List<String> getMessages()

      Get of messages
      Returns:
        Json array of messages;

    - #### setArguments

          public void setArguments​(ClientArgumentMap args)

      Set arguments of kafka client
      Parameters:
        `args` - string array of arguments

    - #### run

          public boolean run​(long timeoutMs)

      Run client in sync mode
      Returns:
        exit status of client

    - #### stop

          public void stop()

      Method for stop client

    - #### getBootstrapServer

          public String getBootstrapServer()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`